<template>
  <!--
    Using wrapper class instead of added class to 'ObAlert',
    because of in 'build' version sometimes CSS files order
    is changed, and 'ObAlert' styles are overriding current component styles
  -->
  <div class="instruction-alert">
    <ObAlert
      theme="warning"
      theme-icon="info"
      icon="question"
      :hide-close-button="true"
    >
      Скачать
      <a :href="getLink()" class="link-style instruction-alert__link" download>инструкцию по регистрации</a>
      (PDF, 1.6 Мб)
    </ObAlert>
  </div>
</template>

<script>
  import { uuid } from 'vue-uuid'
  import ObAlert from 'common-components/src/obComponents/obAlert'

  export default {
    name: 'RegistrationInstructionAlert',
    components: {
      ObAlert
    },
    methods: {
      getLink () {
        const currentHostname = window.location.host.split('oboz').length > 1 ? 'oboz' : 'gruziru'
        if(currentHostname!=='oboz') {
          return `https://cdn.gruzi.ru/manuals/public/docs/Registration.pdf?h=${uuid.v4()}`
        }else{
          return `./static/${currentHostname}_registration_instruction.pdf?h=${uuid.v4()}`
        }
      }
    }
  }
</script>

<style lang="scss" scoped>
  .instruction-alert {
    position: fixed;
    top: 40px;
    right: 40px;
    z-index: 10;

    &__link {
      text-decoration: none;

      &:hover,
      &:focus {
        text-decoration: underline;
      }
    }
  }
</style>
